org.eclipse.jetty.server

## Class AbstractHttpConnection.Output

- java.lang.Object
- - java.io.OutputStream
  - - javax.servlet.ServletOutputStream
    - - org.eclipse.jetty.server.HttpOutput
      - - org.eclipse.jetty.server.AbstractHttpConnection.Output

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable
  Enclosing class:
    AbstractHttpConnection

      public class AbstractHttpConnection.Output
      extends HttpOutput

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.server.HttpOutput

      `_connection, _generator`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `void` | `print(java.lang.String s)`
    `void` | `sendContent(java.lang.Object content)`
    `void` | `sendResponse(Buffer response)`

    - ### Methods inherited from class org.eclipse.jetty.server.HttpOutput

      `getMaxIdleTime, isClosed, isWritten, reopen, write, write, write`

    - ### Methods inherited from class javax.servlet.ServletOutputStream

      `print, print, print, print, print, print, println, println, println, println, println, println, println, println`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `HttpOutput`
      Throws:
        `java.io.IOException`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Specified by:
        `flush` in interface `java.io.Flushable`
      Overrides:
        `flush` in class `HttpOutput`
      Throws:
        `java.io.IOException`

    - #### print

          public void print(java.lang.String s)
                     throws java.io.IOException

      Overrides:
        `print` in class `HttpOutput`
      Throws:
        `java.io.IOException`

    - #### sendResponse

          public void sendResponse(Buffer response)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### sendContent

          public void sendContent(java.lang.Object content)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.